#!/usr/bin/perl
# tester2.cgi - This will test the HTMLObject Normal object.

use HTMLObject::Normal;
use HTMLObject::GetCookie;
use HTMLObject::CGILib;
use strict;
#use cgi_lib;

use vars '%input';

%input = ();
#cgi_lib::ReadParse(*input);
HTMLObject::CGILib::ReadParse(*input);

my $name = $input{'name'};

my $doc = HTMLObject::Normal->new();

$doc->setCookie(name=>'testing', value=>'This rocks!');
$doc->setCookie(name=>'testing2', value=>'Hello World!');

my @cookies = ();
my @tempArray;
$tempArray[0] = "one";
$tempArray[1] = "two";
$cookies[0] = [ @tempArray ]; 

$tempArray[0] = "three";
$tempArray[1] = "four";
$cookies[1] = [ @tempArray ]; 

$doc->setCompressedCookie(name => 'testing3', cookies => \@cookies, expires => 'Sun, 01-Dec-2000 00:00:00 GMT');

$doc->setBodyFgcolor("red");
$doc->setBodyBgcolor("blue");

# test the JavaScript output stuff.
$doc->setFocus("javascript");
$doc->print("var test = 100;\n");

$doc->setFocus("head");

$doc->setJavascriptVersion('1.2');
$doc->printJavascriptRequired(version => '1.1');

# make each javascript error popup in a unique window for each frame.
$doc->setJavascriptErrorHandlerWindow(name => "$name");

$doc->setLinkDecorations();

$doc->setFocus("javascript");
$doc->print("self = null;\n"); # force a javascript error to test our error handler.

$doc->setFocus("body");
$doc->print("This is tester2.cgi...\n<br>");
$doc->print("This is a test!\n<br>");

# check for our cookie and if it is set, display a message saying so.
if (HTMLObject::GetCookie::GetCookies())
{
  $doc->print("Gathered all cookies successfully!<br><br>");
}
# get all compressed cookies.
if (HTMLObject::GetCookie::GetCompressedCookies("testing3"))
{
  $doc->print("Gathered all compressed cookies successfully!<br><br>");
}
else
{
  $doc->print("Error gathering compressed cookies!<br><br>");
}

if (exists $HTMLObject::GetCookie::Cookies{'testing'})
{
  $doc->print("The cookie 'testing' was successfully set!");
  $doc->print("<br>\n'testing' had value = '$HTMLObject::GetCookie::Cookies{'testing'}'.");
}
if (exists $HTMLObject::GetCookie::Cookies{'testing2'})
{
  $doc->print("<br><br>The cookie 'testing2' was successfully set!");
  $doc->print("<br>\n'testing2' had value = '$HTMLObject::GetCookie::Cookies{'testing2'}'.");
}
if (exists $HTMLObject::GetCookie::Cookies{'testing3'})
{
  $doc->print("<br><br>The cookie 'testing3' was successfully set!");
  $doc->print("<br>\n'testing3' had value = '$HTMLObject::GetCookie::Cookies{'testing3'}'.");
}
if (exists $HTMLObject::GetCookie::Cookies{'one'})
{
  $doc->print("<br><br>The cookie 'one' was successfully set!");
  $doc->print("<br>\n'one' had value = '$HTMLObject::GetCookie::Cookies{'one'}'.");
}
if (exists $HTMLObject::GetCookie::Cookies{'three'})
{
  $doc->print("<br><br>The cookie 'three' was successfully set!");
  $doc->print("<br>\n'three' had value = '$HTMLObject::GetCookie::Cookies{'three'}'.");
}

$doc->display();
